<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="b353e98e-b85f-4cb5-8d0a-626a44511b90" name="Default" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="HierarchyBrowserManager">
    <option name="SCOPE" value="All" />
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenRunner">
    <option name="delegateBuildToMaven" value="true" />
    <option name="jreName" value="11" />
  </component>
  <component name="NamedScopeManager">
    <scope name="Undertow only" pattern="" />
  </component>
  <component name="ProjectId" id="1StXby0IHTv2NkgNoxRHpjJy70g" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="PropertiesComponent">
    <property name="ASKED_ADD_EXTERNAL_FILES" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1572169463777" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../quarkus-http" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.0" />
    <property name="settings.editor.selected.configurable" value="preferences.keymap" />
  </component>
  <component name="RecentsManager">
    <key name="MoveMembersDialog.RECENTS_KEY">
      <recent name="io.undertow.security.api.AuthenticationMechanismFactory" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="io.undertow.server.handlers.session" />
      <recent name="io.undertow.servlet.test.security.ssl" />
      <recent name="io.undertow.servlet.test.response.cookies" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/response/cookies" />
      <recent name="$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/cookies" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Remote.Server at 5005">
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SSLMetaDataTestCase" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="undertow-servlet" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="io.undertow.servlet.test.security.ssl.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="io.undertow.servlet.test.security.ssl" />
      <option name="MAIN_CLASS_NAME" value="io.undertow.servlet.test.security.ssl.SSLMetaDataTestCase" />
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SSLMetaDataWithExpandedBufferTestCase" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="undertow-servlet" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="io.undertow.servlet.test.security.ssl.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="io.undertow.servlet.test.security.ssl" />
      <option name="MAIN_CLASS_NAME" value="io.undertow.servlet.test.security.ssl.SSLMetaDataWithExpandedBufferTestCase" />
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SSLMetaDataWithExpandedBufferTestCase.testKeySize" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="undertow-servlet" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="io.undertow.servlet.test.security.ssl.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="io.undertow.servlet.test.security.ssl" />
      <option name="MAIN_CLASS_NAME" value="io.undertow.servlet.test.security.ssl.SSLMetaDataWithExpandedBufferTestCase" />
      <option name="METHOD_NAME" value="testKeySize" />
      <option name="TEST_OBJECT" value="method" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SSLSessionTestCase" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="undertow-core" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="io.undertow.server.handlers.session.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="io.undertow.server.handlers.session" />
      <option name="MAIN_CLASS_NAME" value="io.undertow.server.handlers.session.SSLSessionTestCase" />
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SimpleParserTestCase" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="undertow-core" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="io.undertow.server.protocol.http.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="io.undertow.server.protocol.http" />
      <option name="MAIN_CLASS_NAME" value="io.undertow.server.protocol.http.SimpleParserTestCase" />
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Server at 5005" type="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="5005" />
      <option name="AUTO_RESTART" value="false" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="5005" />
        <option name="LOCAL" value="false" />
      </RunnerSettings>
      <method v="2" />
    </configuration>
    <configuration name="Server at 8787" type="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="8787" />
      <option name="AUTO_RESTART" value="false" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="8787" />
        <option name="LOCAL" value="false" />
      </RunnerSettings>
      <method v="2" />
    </configuration>
    <configuration name="Server at 8788" type="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="8788" />
      <option name="AUTO_RESTART" value="false" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="8788" />
        <option name="LOCAL" value="false" />
      </RunnerSettings>
      <method v="2" />
    </configuration>
    <configuration default="true" type="TestNG">
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <properties />
      <listeners />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="JUnit.SSLMetaDataTestCase" />
      <item itemvalue="JUnit.SSLSessionTestCase" />
      <item itemvalue="JUnit.SSLMetaDataWithExpandedBufferTestCase" />
      <item itemvalue="JUnit.SSLMetaDataWithExpandedBufferTestCase.testKeySize" />
      <item itemvalue="JUnit.SimpleParserTestCase" />
      <item itemvalue="Remote.Server at 8787" />
      <item itemvalue="Remote.Server at 8788" />
      <item itemvalue="Remote.Server at 5005" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.SimpleParserTestCase" />
        <item itemvalue="JUnit.SSLMetaDataWithExpandedBufferTestCase.testKeySize" />
        <item itemvalue="JUnit.SSLMetaDataWithExpandedBufferTestCase" />
        <item itemvalue="JUnit.SSLSessionTestCase" />
        <item itemvalue="JUnit.SSLMetaDataTestCase" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="b353e98e-b85f-4cb5-8d0a-626a44511b90" name="Default" comment="" />
      <created>1544549945125</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1544549945125</updated>
    </task>
    <servers />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="Vcs.Log.History.Properties">
    <option name="COLUMN_ORDER">
      <list>
        <option value="0" />
        <option value="2" />
        <option value="3" />
        <option value="1" />
      </list>
    </option>
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="1">
          <value>
            <State>
              <option name="SHOW_ONLY_AFFECTED_CHANGES" value="true" />
              <option name="FILTERS">
                <map>
                  <entry key="branch">
                    <value>
                      <list>
                        <option value="HEAD" />
                      </list>
                    </value>
                  </entry>
                  <entry key="structure">
                    <value>
                      <list>
                        <option value="dir:/home/fla/Development/projects/undertow/karaf" />
                      </list>
                    </value>
                  </entry>
                </map>
              </option>
            </State>
          </value>
        </entry>
        <entry key="MAIN">
          <value>
            <State>
              <option name="COLUMN_ORDER" />
            </State>
          </value>
        </entry>
      </map>
    </option>
    <option name="OPEN_TABS">
      <set>
        <option value="1" />
      </set>
    </option>
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2FrameHeaderParser.java</url>
          <line>68</line>
          <option name="timeStamp" value="2" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/RequestDispatcherImpl.java</url>
          <line>89</line>
          <option name="timeStamp" value="4" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/RequestDispatcherImpl.java</url>
          <line>280</line>
          <option name="timeStamp" value="6" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/jboss/spec/javax/servlet/jboss-servlet-api_4.0_spec/1.0.0.Final/jboss-servlet-api_4.0_spec-1.0.0.Final-sources.jar!/javax/servlet/http/HttpServletRequestWrapper.java</url>
          <line>271</line>
          <option name="timeStamp" value="13" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/RequestDispatcherImpl.java</url>
          <line>235</line>
          <option name="timeStamp" value="14" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/cache/ResponseCache.java</url>
          <line>132</line>
          <option name="timeStamp" value="16" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/cache/ResponseCache.java</url>
          <line>141</line>
          <option name="timeStamp" value="17" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/server/ssl/SimpleSSLTestCase.java</url>
          <option name="timeStamp" value="18" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/HttpServletResponseImpl.java</url>
          <line>186</line>
          <option name="timeStamp" value="19" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/HttpServletRequestImpl.java</url>
          <line>1052</line>
          <option name="timeStamp" value="26" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/HttpServletRequestImpl.java</url>
          <line>1057</line>
          <option name="timeStamp" value="27" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar:///opt/jdk-10.0.2/lib/src.zip!/java.base/java/net/Socket.java</url>
          <line>716</line>
          <option name="timeStamp" value="28" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/jboss/xnio/xnio-nio/3.3.8.Final/xnio-nio-3.3.8.Final.jar!/org/xnio/nio/NioSocketStreamConnection.class</url>
          <line>38</line>
          <option name="timeStamp" value="30" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>258</line>
          <option name="timeStamp" value="31" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>266</line>
          <option name="timeStamp" value="32" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>286</line>
          <option name="timeStamp" value="33" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>294</line>
          <option name="timeStamp" value="34" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>306</line>
          <option name="timeStamp" value="35" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>172</line>
          <option name="timeStamp" value="36" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>191</line>
          <option name="timeStamp" value="37" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>197</line>
          <option name="timeStamp" value="38" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>205</line>
          <option name="timeStamp" value="39" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>216</line>
          <option name="timeStamp" value="40" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>224</line>
          <option name="timeStamp" value="41" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>242</line>
          <option name="timeStamp" value="42" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>85</line>
          <option name="timeStamp" value="43" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>90</line>
          <option name="timeStamp" value="45" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/HttpServletRequestImpl.java</url>
          <line>132</line>
          <option name="timeStamp" value="46" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/handlers/ServletRequestContext.java</url>
          <line>144</line>
          <option name="timeStamp" value="47" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/HttpServletRequestImpl.java</url>
          <line>722</line>
          <option name="timeStamp" value="50" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/streams/ServletInputStreamTestCase.java</url>
          <line>63</line>
          <option name="timeStamp" value="51" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/async/AsyncServlet.java</url>
          <line>32</line>
          <option name="timeStamp" value="52" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/streams/BlockingInputStreamServlet.java</url>
          <line>38</line>
          <option name="timeStamp" value="53" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/examples/src/main/java/io/undertow/examples/helloworld/HelloWorldServer.java</url>
          <line>38</line>
          <option name="timeStamp" value="55" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/Undertow.java</url>
          <line>156</line>
          <option name="timeStamp" value="56" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http/HttpOpenListener.java</url>
          <line>112</line>
          <option name="timeStamp" value="57" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar:///opt/jdk-10.0.2/lib/src.zip!/java.base/sun/security/ssl/SSLSessionImpl.java</url>
          <line>822</line>
          <option name="timeStamp" value="59" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar:///opt/jdk-10.0.2/lib/src.zip!/java.base/sun/security/ssl/SSLEngineImpl.java</url>
          <line>852</line>
          <option name="timeStamp" value="60" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jrt:///opt/jdk-11.0.1!/java.base/sun/security/ssl/SSLEngineImpl.class</url>
          <line>374</line>
          <option name="timeStamp" value="62" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http/AlpnOpenListener.java</url>
          <line>370</line>
          <option name="timeStamp" value="63" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http/ALPNLimitingSSLEngine.java</url>
          <line>47</line>
          <option name="timeStamp" value="65" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/ssl/SslConduit.java</url>
          <line>199</line>
          <option name="timeStamp" value="66" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/jboss/xnio/xnio-api/3.3.8.Final/xnio-api-3.3.8.Final-sources.jar!/org/xnio/ssl/JsseSslConduitEngine.java</url>
          <line>119</line>
          <option name="timeStamp" value="67" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/jboss/xnio/xnio-api/3.3.8.Final/xnio-api-3.3.8.Final-sources.jar!/org/xnio/ssl/JsseAcceptingSslStreamConnection.java</url>
          <line>39</line>
          <option name="timeStamp" value="68" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/jboss/xnio/xnio-api/3.3.8.Final/xnio-api-3.3.8.Final-sources.jar!/org/xnio/ssl/JsseAcceptingSslStreamConnection.java</url>
          <line>44</line>
          <option name="timeStamp" value="69" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/response/cookies/DuplicateCookiesServlet.java</url>
          <line>59</line>
          <option name="timeStamp" value="72" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/testutils/DefaultServer.java</url>
          <line>452</line>
          <option name="timeStamp" value="73" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/error/FileErrorPageHandler.java</url>
          <line>103</line>
          <option name="timeStamp" value="76" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/error/FileErrorPageHandler.java</url>
          <line>80</line>
          <option name="timeStamp" value="77" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/error/FileErrorPageHandler.java</url>
          <line>87</line>
          <option name="timeStamp" value="78" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/error/FileErrorPageHandler.java</url>
          <line>91</line>
          <option name="timeStamp" value="79" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/error/FileErrorPageHandler.java</url>
          <line>95</line>
          <option name="timeStamp" value="80" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/error/FileErrorPageHandler.java</url>
          <line>106</line>
          <option name="timeStamp" value="81" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/ssl/SslConduit.java</url>
          <line>933</line>
          <option name="timeStamp" value="83" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/ssl/UndertowXnioSsl.java</url>
          <line>201</line>
          <option name="timeStamp" value="85" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/ssl/UndertowXnioSsl.java</url>
          <line>237</line>
          <option name="timeStamp" value="86" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http/ALPNLimitingSSLEngine.java</url>
          <line>73</line>
          <option name="timeStamp" value="88" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http/ALPNLimitingSSLEngine.java</url>
          <line>140</line>
          <option name="timeStamp" value="89" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/session/ServletSessionTestCase.java</url>
          <line>233</line>
          <option name="timeStamp" value="93" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpcore/4.4.10/httpcore-4.4.10-sources.jar!/org/apache/http/protocol/HttpRequestExecutor.java</url>
          <line>272</line>
          <option name="timeStamp" value="94" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/session/PathParameterSessionConfig.java</url>
          <line>77</line>
          <option name="timeStamp" value="98" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/ajp/AjpClientChannel.java</url>
          <line>173</line>
          <option name="timeStamp" value="100" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/util/URLUtils.java</url>
          <line>249</line>
          <option name="timeStamp" value="102" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/handlers/ServletInitialHandler.java</url>
          <line>146</line>
          <option name="timeStamp" value="104" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/handlers/RedirectDirHandler.java</url>
          <line>46</line>
          <option name="timeStamp" value="105" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/security/handlers/AbstractConfidentialityHandler.java</url>
          <line>51</line>
          <option name="timeStamp" value="106" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/security/impl/FormAuthenticationMechanism.java</url>
          <line>151</line>
          <option name="timeStamp" value="107" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http/HttpRequestParser.java</url>
          <line>471</line>
          <option name="timeStamp" value="108" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http/HttpRequestParser.java</url>
          <line>440</line>
          <option name="timeStamp" value="110" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http/HttpReadListener.java</url>
          <line>157</line>
          <option name="timeStamp" value="111" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpcore/4.4.10/httpcore-4.4.10-sources.jar!/org/apache/http/protocol/HttpRequestExecutor.java</url>
          <line>124</line>
          <option name="timeStamp" value="113" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpclient/4.5.6/httpclient-4.5.6-sources.jar!/org/apache/http/impl/conn/ManagedClientConnectionImpl.java</url>
          <line>206</line>
          <option name="timeStamp" value="114" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpcore/4.4.13/httpcore-4.4.13-sources.jar!/org/apache/http/impl/io/AbstractMessageParser.java</url>
          <line>189</line>
          <option name="timeStamp" value="115" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpclient/4.5.12/httpclient-4.5.12.jar!/org/apache/http/impl/client/DefaultRequestDirector.class</url>
          <line>638</line>
          <option name="timeStamp" value="116" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpclient/4.5.12/httpclient-4.5.12.jar!/org/apache/http/impl/client/DefaultRedirectStrategy.class</url>
          <line>143</line>
          <option name="timeStamp" value="117" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpcore/4.4.13/httpcore-4.4.13-sources.jar!/org/apache/http/protocol/BasicHttpContext.java</url>
          <line>73</line>
          <option name="timeStamp" value="119" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpclient/4.5.12/httpclient-4.5.12.jar!/org/apache/http/impl/client/AbstractHttpClient.class</url>
          <line>556</line>
          <option name="timeStamp" value="120" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpclient/4.5.12/httpclient-4.5.12-sources.jar!/org/apache/http/impl/client/AbstractHttpClient.java</url>
          <line>770</line>
          <option name="timeStamp" value="121" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/session/InMemorySessionManager.java</url>
          <line>486</line>
          <option name="timeStamp" value="122" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/proxy/ProxyHandler.java</url>
          <line>687</line>
          <option name="timeStamp" value="124" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>